config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
    NEW="$1"
    OLD="$(dirname $NEW)/$(basename $NEW .new)"
    if [ -e $OLD ]; then
        cp -a $OLD ${NEW}.incoming
        cat $NEW > ${NEW}.incoming
        mv ${NEW}.incoming $NEW
    fi
    config $NEW
}
preserve_perms etc/rc.d/rc.pwrstatd.new
config etc/pwrstatd.conf.new
config etc/powerpanel/pwrstatd-lowbatt.sh.new
config etc/powerpanel/pwrstatd-email.sh.new
config etc/powerpanel/pwrstatd-powerfail.sh.new
config etc/powerpanel/hibernate.sh.new
config etc/powerpanel/shutdown.sh.new
( cd etc ; rm -rf shutdown.sh )
( cd etc ; ln -sf /etc/powerpanel/shutdown.sh shutdown.sh )
( cd etc ; rm -rf hibernate.sh )
( cd etc ; ln -sf /etc/powerpanel/hibernate.sh hibernate.sh )
